local FC = ...

local tList = {Action = "APPEND"}
local pList = {}
local cList = {}

local i = 2
for key,value in pairs(FCconfig["profile"]["tradingVillages"]) do
	FC:register({
		DataType = "TRADING_VILLAGE",
		Id = "FC_VILLAGE_" .. tostring(i-1),
		VillageName = key,
		UnlockCost = value["unlockCost"],
		BuyingResourceList = value["isBuying"],
		SellingResourceList = value["isSelling"],
		Allegeance = value["allegiance"],
		ResourceTradingReplenishDelay = value["replenish"]
	})
	tList[i] = "FC_VILLAGE_"..tostring(i-1)
	i = i + 1
end
i=nill

FC:override({
	Id = "VILLAGE_LIST_DEFAULT",
	TradingVillageList = tList
})




local i=0
for key,value in pairs(FCconfig["profile"]["buildings"]) do
	if( not string.find(key, "UNEXPOSED"))then
	if( not string.find(key, "MONASTERY"))then
	if( value["manualUnlock"] ~= "default") then
		pList[i] = {
				AssetBuilding = key,
				IsManuallyUnlocked = value["manualUnlock"],
				StatusQtyPair = value["requirement"]
		}
		i = i+1
	end
	end
	end
end
i = nill

FC:register({
	DataType = "BUILDING_PROGRESS_LIST",
	Id = "FC_BUILDING_PROGRESS_LIST",
	ProgressList = pList
})



local i=0
for key,value in pairs(FCconfig["profile"]["buildings"]) do
	if (value["buildingParts"] ~= nill) then
		for key1,value1 in pairs(value["buildingParts"]) do
			cList[i] = {
				BuildingPart = key1, 
				BuildingPartCost = {
				BuildRightTaxes = value1["upfront"],
				UpkeepCost = value1["maintenance"],
				RessourcesNeeded = value1["buildingCost"]
				}
			}
			i = i+1
		end
	end
end
i = nill

FC:register({
	DataType = "BUILDING_PART_COST_LIST",
	Id = "FC_BUILDING_PART_COST_LIST",
	BuildingPartCostList = cList
})